###################################################
### chunk number 1: 
###################################################
owidth <- getOption("width")
options("width"=70)
ow <- getOption("warn")
options("warn"=-1)
.PngNo <- 0


###################################################
### chunk number 2: bfigl eval=FALSE
###################################################
## .PngNo <- .PngNo + 1;
## file <- paste("Fig", .PngNo, ".pdf", sep="")
## file2 <- paste("Fig", .PngNo, sep="")
## pdf(file=file, width = 8, height = 8, onefile = FALSE, paper = "special")


###################################################
### chunk number 3: zfigla eval=FALSE
###################################################
## dev.null <- dev.off()
## cat("\\includegraphics[width=0.55\\textwidth]{", file2, "}\n\n", sep="")
## #cat("\\includegraphics[bb = 72 500 288 750]{", file, "}\n\n", sep="")


###################################################
### chunk number 4: zfiglb eval=FALSE
###################################################
## dev.null <- dev.off()
## cat("\\includegraphics[width=0.55\\textwidth]{", file2, "}\n\n", sep="")
## #cat("\\includegraphics[bb = 72 500 288 750]{", file, "}\n\n", sep="")


###################################################
### chunk number 5: zfiglc eval=FALSE
###################################################
## dev.null <- dev.off()
## cat("\\includegraphics[width=0.9\\textwidth]{", file2, "}\n\n", sep="")
## #cat("\\includegraphics[bb = 72 500 288 750]{", file, "}\n\n", sep="")


###################################################
### chunk number 6: 
###################################################
library(GeoXp)


###################################################
### chunk number 7: 
###################################################
data(immob)
class(immob)
names(immob)


###################################################
### chunk number 8: 
###################################################
immob.sp = SpatialPoints(cbind(immob$longitude,immob$latitude))
class(immob.sp)


###################################################
### chunk number 9: 
###################################################
immob.spdf = SpatialPointsDataFrame(immob.sp, immob)
class(immob.spdf )


###################################################
### chunk number 10:  eval=FALSE
###################################################
## histomap(immob.spdf,"prix.vente")


###################################################
### chunk number 11: 
###################################################
midiP <- readShapePoly(system.file("shapes/region.shp", package="GeoXp")[1])
cont_midiP<-spdf2list(midiP[-c(22,23),])$poly


###################################################
### chunk number 12: 
###################################################
criteria <- (immob$latitude>mean(immob$latitude))


###################################################
### chunk number 13:  eval=FALSE
###################################################
## histomap(immob.spdf, 7, nbcol=15, type = "percent",
## names.attr=names(immob), criteria=criteria, carte=cont_midiP,
## identify=TRUE, cex.lab=0.5, pch=12, col="pink",
## xlab="variation price", ylab="percent", axes=TRUE, lablong="x",
## lablat="y")


###################################################
### chunk number 14: 
###################################################
last.select<-c(12,18,24,31,32,37,39,42,49,67,73,74,79,81,84)


###################################################
### chunk number 15: 
###################################################
print("Results have been saved in last.select object")


###################################################
### chunk number 16: 
###################################################
last.select


###################################################
### chunk number 17:  eval=FALSE
###################################################
## dbledensitymap(immob.spdf,c("prix.vente","prix.location"),
## xlab=c("selling price","rending price"),identify=TRUE, cex.lab=0.5,
## carte=cont_midiP)


###################################################
### chunk number 18: 
###################################################
W.nb<-tri2nb(cbind(immob$longitude,immob$latitude))
class(W.nb)


###################################################
### chunk number 19: 
###################################################
W2.matrix<-makeneighborsw(cbind(immob$longitude,immob$latitude),method="both",m=5,d=175000)
W2.nb<-mat2listw(W2.matrix)$neighbours
class(W2.nb)


###################################################
### chunk number 20:  eval=FALSE
###################################################
## neighbourmap(immob.spdf,"prix.vente", W.nb, identify=TRUE, cex.lab=0.5,
## carte=cont_midiP)


###################################################
### chunk number 21: 
###################################################
last.select<-matrix(c(3,17,3,38,3,39,3,40,3,63,3,70,3,90,85,53,85,58,85,65,85,66,85,73),12,2,byrow=TRUE)


###################################################
### chunk number 22: 
###################################################
print("Results have been saved in last.select object")


###################################################
### chunk number 23: 
###################################################
last.select


